import { pubsub_v1 } from "googleapis";
import { Message, PollResult } from "../provider";
import { Attributes } from "../types";
import { GoogleMetrics } from "./google-faast";
import PubSubApi = pubsub_v1;
export declare function receiveMessages(pubsub: PubSubApi.Pubsub, subscription: string, metrics: GoogleMetrics, cancel: Promise<void>): Promise<PollResult>;
export declare function publishPubSub(pubsub: PubSubApi.Pubsub, topic: string, message: string, attributes?: Attributes): Promise<void>;
export declare function publishResponseMessage(pubsub: PubSubApi.Pubsub, ResponseQueue: string, message: Message): Promise<void>;
