import { pubsub_v1 } from "googleapis";
import { Wrapper } from "../wrapper";
import PubSubApi = pubsub_v1;
export declare const filename: string;
export interface CloudFunctionContext {
    eventId: string;
    timestamp: string;
    eventType: string;
    resource: object;
}
declare type PubsubMessage = PubSubApi.Schema$PubsubMessage;
export declare function makeTrampoline(wrapper: Wrapper): {
    trampoline: (data: PubsubMessage, context: CloudFunctionContext) => Promise<void>;
};
export {};
