import { GaxiosError } from "gaxios";
export declare function getLogUrl(project: string, functionName: string): string;
export declare function getExecutionLogUrl(project: string, functionName: string, executionId: string): string;
export declare const httpMethodsToRetry: string[];
export declare const statusCodesToRetry: number[][];
/**
 * Determine based on config if we should retry the request.
 * @param err The GaxiosError passed to the interceptor.
 */
export declare function shouldRetryRequest(log: (msg: string) => void): (err: GaxiosError) => boolean;
