import { AwsFaastModule } from "../../index";
export declare function quietly<T>(p: Promise<T>): Promise<void | T | undefined>;
export declare function getAWSResources(mod: AwsFaastModule, includeLogGroup?: boolean): Promise<{
    logGroupResult: import("aws-sdk/clients/cloudwatchlogs").LogGroup | undefined;
    functionResult: void | import("aws-sdk/lib/request").PromiseResult<import("aws-sdk/clients/lambda").FunctionConfiguration, import("aws-sdk").AWSError> | undefined;
    snsResult: void | import("aws-sdk/lib/request").PromiseResult<import("aws-sdk/clients/sns").GetTopicAttributesResponse, import("aws-sdk").AWSError> | undefined;
    sqsResult: void | import("aws-sdk/lib/request").PromiseResult<import("aws-sdk/clients/sqs").GetQueueAttributesResult, import("aws-sdk").AWSError> | undefined;
    subscriptionResult: void | import("aws-sdk/lib/request").PromiseResult<import("aws-sdk/clients/sns").ListSubscriptionsByTopicResponse, import("aws-sdk").AWSError> | undefined;
    layerResult: void | import("aws-sdk/lib/request").PromiseResult<import("aws-sdk/clients/lambda").GetLayerVersionResponse, import("aws-sdk").AWSError> | undefined;
    s3Result: void | "" | import("aws-sdk/lib/request").PromiseResult<import("aws-sdk/clients/s3").ListObjectsV2Output, import("aws-sdk").AWSError> | undefined;
}>;
